#include "redica.h"
#include<bits/stdc++.h>
using namespace std;
int s=0;
int k;
int n;
int su;
void genr(int l,vector<int>v)
{
    if(l==n)
    {
        submit(v);
        return;
    }
    for(int i=1;i<=k;i++)
    {
        v.push_back(i);
        genr(l+1,v);
        v.pop_back();
    }
}
void solve(int N, int K, int S)
{
    n=N;
    k=K;
    s=S;
    vector<int>v;
    int h;
    for(int i=1;i<=1;i++)
    {
        h=query();
        s+=h;
        v.push_back(h);
    }
    genr(1,v);
    return;
}
